> ## Documentation Index
> Fetch the complete documentation index at: https://docs-beta.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete write-off

> Deletes a write-off for a business.



## OpenAPI

````yaml delete /v1/businesses/{businessId}/invoices/{invoiceId}/write-offs/{writeOffId}
openapi: 3.0.1
info:
  title: API
  version: latest
servers: []
security:
  - BearerAuth: []
tags: []
externalDocs:
  url: /
paths:
  /v1/businesses/{businessId}/invoices/{invoiceId}/write-offs/{writeOffId}:
    delete:
      tags: []
      summary: Delete write-off
      description: Deletes a write-off for a business.
      operationId: business.invoices.write-offs.delete
      parameters:
        - name: businessId
          in: path
          description: The UUID of the business the invoice is associated with
          required: true
          schema:
            type: string
        - name: invoiceId
          in: path
          description: The UUID of the invoice the write-off is applied to
          required: true
          schema:
            type: string
        - name: writeOffId
          in: path
          description: The UUID of the write-off to delete
          required: true
          schema:
            type: string
        - name: Content-Type
          in: header
          description: Content-Type must be set to application/json
          schema:
            type: string
      responses:
        '200':
          description: ''
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiInvoiceWriteOff'
        '404':
          description: >-
            Business id or invoice id is not found. This indicates the business
            id is invalid or the business has been archived, or the invoice id
            is invalid or the invoice has been deleted.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      deprecated: false
components:
  schemas:
    ApiInvoiceWriteOff:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the write-off.
        invoice_id:
          type: string
          format: uuid
          description: Unique identifier for the invoice the write-off is for.
        external_id:
          type: string
          nullable: true
          description: >-
            Unique ID of the write-off in your system for linking and
            idempotency.
        amount:
          type: integer
          format: int64
          description: >-
            The amount written off. This amount counts towards the invoice total
            and decreases the outstanding balance of the invoice. The amount is
            optional if omitted, default to the entire outstanding balance of
            the invoice. If specified, the amount must be a positive value and
            cannot exceed the current outstanding balance of the invoice.
        memo:
          type: string
          nullable: true
          description: User-specified memo indicating the reason for the write-off.
        destination_ledger_account:
          $ref: '#/components/schemas/AccountIdentifier'
          description: >-
            Expense or contra-arevenue account where write off amount is
            recorded.
        write_off_at:
          type: string
          format: date-time
          description: >-
            Timestamp when the write off should be recognized in the general
            ledger.
        transaction_tags:
          type: array
          items:
            $ref: '#/components/schemas/ApiTag'
          description: List of tags on the invoice write-off
    ApiError:
      type: object
      properties: {}
      example: ''
      description: ''
    AccountIdentifier:
      oneOf:
        - $ref: '#/components/schemas/AccountId'
          description: ID of the account
          title: Account ID
        - $ref: '#/components/schemas/AccountStableName'
          description: Stable name associated with the account
          title: Account Stable Name
    ApiTag:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: ID for the tag
        key:
          type: string
          description: Key for the tag
          example: ExampleTagKey
        dimension_display_name:
          type: string
          nullable: true
          description: Display name for the tag dimension
        value:
          type: string
          description: Value for the tag
          example: ExampleTagValue
        value_display_name:
          type: string
          nullable: true
          description: Display name for the tag value definition
        dimension_id:
          type: string
          format: uuid
          description: ID of the tag dimension this tag belongs to
        definition_id:
          type: string
          format: uuid
          description: ID of the tag value definition
        archived_at:
          type: string
          format: date-time
          nullable: true
          description: When the tag was archived
      required:
        - id
        - key
        - value
        - dimension_id
        - definition_id
    AccountId:
      type: object
      properties:
        type:
          type: string
          description: Resource type. Value will be `AccountId`.
          example: AccountId
        id:
          type: string
          format: uuid
          description: ID of the account
    AccountStableName:
      type: object
      properties:
        type:
          type: string
          description: Resource type. Value will be `StableName`.
          example: StableName
        stable_name:
          type: string
          example: CURRENT_ASSETS
          description: Stable name of the account
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````